Skip to main content
PUT
Update a Monitor

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

Body

application/json

resource monitor

id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
name
string
required

the monitor name

type
enum<string>
required

the monitor type

Available options:
UP_TIME,
LATENCY,
LOAD_TIME,
WEBSITE_TYPO,
STRIPE,
DOMAIN_EXPIRATION,
CERT_EXPIRATION,
CDN_CONFIGURATION,
CLOUDFLARE_REQUESTS,
CLOUDFRONT_REQUESTS,
STATUS_PAGE,
DATABASE_STORAGE_LIMIT,
DATABASE_CPU_USAGE,
DATABASE_MEMORY_USAGE
resourceId
string<uuid>
required
state
enum<string>
required

state of the monitor during its lifecycle

Available options:
ACTIVE,
PAUSED,
SNOOZED,
ERROR
status
enum<string>
required

status of the monitor

Available options:
NO_DATA,
OK,
ALERT,
WARN
priority
enum<string>
required

monitor priority

Available options:
NOT_DEFINED,
CRITICAL,
HIGH,
MEDIUM,
LOW,
INFO
recipients
object[]
required

the monitor recipients of the incidents/alerts notifications

pollDurationInterval
string<duration>

the interval in which the monitor will be checked

Example:

"P3Y6M4DT12H30M5S"

description
string

the monitor description

snoozedUntil
string<date-time>

until when the monitor will be in snoozed mode

query
string

the monitor query

resource
object

Response

successful updated monitor

resource monitor

id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
name
string
required

the monitor name

type
enum<string>
required

the monitor type

Available options:
UP_TIME,
LATENCY,
LOAD_TIME,
WEBSITE_TYPO,
STRIPE,
DOMAIN_EXPIRATION,
CERT_EXPIRATION,
CDN_CONFIGURATION,
CLOUDFLARE_REQUESTS,
CLOUDFRONT_REQUESTS,
STATUS_PAGE,
DATABASE_STORAGE_LIMIT,
DATABASE_CPU_USAGE,
DATABASE_MEMORY_USAGE
resourceId
string<uuid>
required
state
enum<string>
required

state of the monitor during its lifecycle

Available options:
ACTIVE,
PAUSED,
SNOOZED,
ERROR
status
enum<string>
required

status of the monitor

Available options:
NO_DATA,
OK,
ALERT,
WARN
priority
enum<string>
required

monitor priority

Available options:
NOT_DEFINED,
CRITICAL,
HIGH,
MEDIUM,
LOW,
INFO
recipients
object[]
required

the monitor recipients of the incidents/alerts notifications

pollDurationInterval
string<duration>

the interval in which the monitor will be checked

Example:

"P3Y6M4DT12H30M5S"

description
string

the monitor description

snoozedUntil
string<date-time>

until when the monitor will be in snoozed mode

query
string

the monitor query

resource
object